aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-05-24 04:12:29 +0000
committerMike Frysinger <vapier@gentoo.org>2005-05-24 04:12:29 +0000
commitfe29abc598fe32b9fc680f79330752438b7ad923 (patch)
tree7f3aa538992d2b14294acdeda7bbc743e5722bf2 /bin
parentmake sure the files exist before we unpack them (diff)
downloadportage-cvs-fe29abc598fe32b9fc680f79330752438b7ad923.tar.gz
portage-cvs-fe29abc598fe32b9fc680f79330752438b7ad923.tar.bz2
portage-cvs-fe29abc598fe32b9fc680f79330752438b7ad923.zip
forward port fix for #69896 from stable
Diffstat (limited to 'bin')
-rwxr-xr-xbin/doins12
1 files changed, 10 insertions, 2 deletions
diff --git a/bin/doins b/bin/doins
index 5dda62c..b3df481 100755
--- a/bin/doins
+++ b/bin/doins
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/doins,v 1.8 2004/11/05 13:51:09 jstubbs Exp $
+# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/doins,v 1.9 2005/05/24 04:12:29 vapier Exp $
if [ $# -lt 1 ] ; then
echo "${0}: at least one argument needed"
@@ -20,7 +20,15 @@ if [ ${INSDEPTH} -gt 30 ] ; then
exit 1
fi
-[ ! -d "${INSDESTTREE}" ] && dodir "${INSDESTTREE}"
+if [ "${INSDESTTREE%${D}*}" == "" ]; then
+ echo "-------------------------------------------------------" 1>&2
+ echo "You should not use \${D} with helpers." 1>&2
+ echo " --> ${INSDESTTREE}" 1>&2
+ echo "-------------------------------------------------------" 1>&2
+ #exit 1
+fi
+
+[ ! -d "${D}${INSDESTTREE}" ] && dodir "${INSDESTTREE}"
for x in "$@" ; do
if [ -L "$x" ] ; then